package com.usky.fire.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.usky.common.core.annotation.Excel;

/**
 *
 * @author fu
 * @date 2024/8/28
 */
public class FireLawEnforcementDataVO {

    /**
     *  科室
     */
    @Excel(name = "科室", readConverterExp = "1=一科,2=二科,3=三科,4=四科,5=五科")
    private Integer department;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String name;

    /**
     * 总得分
     */
    @Excel(name = "总得分")
    private Integer totalScore;

    /**
     * 总排名
     */
    @Excel(name = "总排名")
    private Integer totalRank;

    /**
     * 检查单位
     */
    @Excel(name = "检查单位")
    private Integer inspectionUnit;

    /**
     * 检查单位排名
     */
    @Excel(name = "排名")
    private Integer unitRanking;

    /**
     * 检查单位得分
     */
    @Excel(name = "得分")
    private Integer unitScore;

    /**
     * 发现隐患
     */
    @Excel(name = "发现隐患")
    private Integer hiddenDangerFound;

    /**
     * 发现隐患排名
     */
    @Excel(name = "排名")
    private Integer dangerRanking;

    /**
     * 发现隐患得分
     */
    @Excel(name = "得分")
    private Integer dangerScore;

    /**
     * 督促整改隐患
     */
    @Excel(name = "督促整改隐患")
    private Integer urgeRectification;

    /**
     * 督促整改隐患排名
     */
    @Excel(name = "排名")
    private Integer urgeRanking;

    /**
     * 督促整改隐患得分
     */
    @Excel(name = "得分")
    private Integer urgeScore;

    /**
     * 重大火灾隐患
     */
    @Excel(name = "重大火灾隐患")
    private Integer majorFireHazards;

    /**
     * 重大火灾隐患排名
     */
    @Excel(name = "排名")
    private Integer majorRanking;

    /**
     * 重大火灾隐患得分
     */
    @Excel(name = "得分")
    private Integer majorScore;

    /**
     * 行政处罚立案
     */
    @Excel(name = "行政处罚立案")
    private Integer administrativePenaltyFiling;

    /**
     * 行政处罚立案排名
     */
    @Excel(name = "排名")
    private Integer filingRanking;

    /**
     * 行政处罚立案得分
     */
    @Excel(name = "得分")
    private Integer filingScore;

    @Excel(name = "行政处罚")
    private Integer administrativePenalty;




}
