package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fu
 * @since 2024-01-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpEf2017 implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String port;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 报警时间
     */
    private LocalDateTime time;

    /**
     * 状态
     */
    private String status;

    /**
     * 地址 ip
     */
    private String address;

    /**
     * 命令码
     */
    private String ncmd;

    /**
     * 报警类型
     */
    private String data1;

    /**
     * 报警数值1
     */
    private String data2;

    /**
     * 报警数值2
     */
    private String data3;

    /**
     * 报警数值3
     */
    private String data4;

    /**
     * 留用
     */
    private String data5;

    /**
     * 处理类型
     */
    private String cllx;

    /**
     * 处理时间
     */
    private LocalDateTime clsj;

    /**
     * 处理人
     */
    private String clr;

    /**
     * 处理内容
     */
    private String clnr;

    /**
     * 处理误报
     */
    private String clwb;

    /**
     * 联系人
     */
    private String cllxr;

    /**
     * 联系电话
     */
    private String cldh;

    /**
     * 处理状态
     */
    private Integer clzt;

    /**
     * 视频地址
     */
    private String video;


}
