package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fu
 * @since 2024-01-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpOwnerStatus implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 设备编码
     */
    private String deviceId;

    /**
     * 设备类型
     */
    private Integer dwtype;

    /**
     * 监控点名称
     */
    private String pointName;

    /**
     * 监控点编码
     */
    private String pointCode;

    /**
     * 采集值
     */
    private String pointData;

    /**
     * 采集时间
     */
    private LocalDateTime dataTime;

    /**
     * 值说明
     */
    private String content;


}
