package com.usky.issue.service;

import com.usky.issue.domain.SpOwner;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author fu
 * @since 2024-01-04
 */
public interface SpOwnerService extends CrudService<SpOwner> {
    //定时获取数据
    List<String> getDeviceCodes();

    String getCampus(String company);

    List<SpOwner> getOwners(List<String> deviceCode);

    Integer getType(String deviceCode);

    List<SpOwner> getOwnersAfter(Integer lastId);
}
