package com.usky.issue.service;

import com.usky.issue.domain.SpHj2017;
import com.usky.issue.domain.SpSj2017;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * asf 服务类
 * </p>
 *
 * @author fu
 * @since 2023-12-13
 */
public interface SpSj2017Service extends CrudService<SpSj2017> {
    //设备状态统计
    List<Map<String, Object>> statusCount(String requestBody);
    //设备查询
    List<Map<String, Object>> typeList(String deviceCode);
    //设备数量统计
    Integer countDevice(String requestBody);
    //定时更新告警数据
    List<SpSj2017> getOwners();

    String getAlarmName(String data1);
}
